Skip to main content
POST
/
api
/
v1
/
whatsapp-accounts
/
{id}
/
add-number
cURL
curl --request POST \
  --url https://backend.wassist.app/api/v1/whatsapp-accounts/{id}/add-number/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "id": "<string>",
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "waId": "<string>",
  "phoneNumbers": "<string>",
  "templatesUrl": "<string>",
  "name": "<string>"
}
Adds a new phone number to a WhatsApp Business Account. You can make a request to /available-numbers/ to get a list of available phone numbers. You must use one of thes numbers to add to the whatsapp account.

Authorizations

X-API-Key
string
header
required

API key authentication. Pass your API key in the X-API-Key header.

Path Parameters

id
string
required

Body

application/json

Input for adding a pre-verified phone number to a WhatsApp Business Account.

id
string
required
name
string
required

Response

200 - application/json
id
string<uuid>
required
waId
string
required
phoneNumbers
string
required
templatesUrl
string
required
name
string | null
Maximum string length: 255